{% extends 'base.html.twig' %}

{% block title %}API Documentation{% endblock %}

{% block body %}
    <h1>API Documentation</h1>

    <ul>
        <li>
            <strong>api/user</strong>
            <ul>
                <li>GET : displays data from list of users</li>
                <li>GET/{ID} : displays data from one user</li>
                <li>POST : creates new user in the database
                    <pre>
{
    "firstname": string,
    "lastname": string,
    "email": string (User::class email field),
    "password": string (minimum eight characters, at least one upper case English letter, one lower case English letter, one number and one special character)
}
                    </pre>
                </li>
                <li>PATCH/{ID} : updates data from one existing user in the database
                    <pre>
{
    "firstname": string,
    "lastname": string,
    "email": string (User::class email field),
    "password": string (minimum eight characters, at least one upper case English letter, one lower case English letter, one number and one special character)
}
                    </pre>
                </li>
                <li>DELETE/{ID} : deletes user from the database</li>
            </ul>
        </li>
    </ul>
{% endblock %}
